## EntanglePreferences EntanglePreferences |

## Functions

EntanglePreferences * | entangle_preferences_new ()
gboolean | entangle_preferences_interface_get_auto_connect ()
void | entangle_preferences_interface_set_auto_connect ()
gboolean | entangle_preferences_interface_get_screen_blank ()
void | entangle_preferences_interface_set_screen_blank ()
gchar ** | entangle_preferences_interface_get_plugins ()
void | entangle_preferences_interface_add_plugin ()
void | entangle_preferences_interface_remove_plugin ()
gboolean | entangle_preferences_interface_get_histogram_linear ()
void | entangle_preferences_interface_set_histogram_linear ()
char * | entangle_preferences_capture_get_last_session ()
void | entangle_preferences_capture_set_last_session ()
char * | entangle_preferences_capture_get_filename_pattern ()
void | entangle_preferences_capture_set_filename_pattern ()
gboolean | entangle_preferences_capture_get_continuous_preview ()
void | entangle_preferences_capture_set_continuous_preview ()
gboolean | entangle_preferences_capture_get_electronic_shutter ()
void | entangle_preferences_capture_set_electronic_shutter ()
gboolean | entangle_preferences_capture_get_delete_file ()
void | entangle_preferences_capture_set_delete_file ()
gboolean | entangle_preferences_capture_get_sync_clock ()
void | entangle_preferences_capture_set_sync_clock ()
gboolean | entangle_preferences_cms_get_enabled ()
void | entangle_preferences_cms_set_enabled ()
EntangleColourProfile * | entangle_preferences_cms_get_rgb_profile ()
void | entangle_preferences_cms_set_rgb_profile ()
EntangleColourProfile * | entangle_preferences_cms_get_monitor_profile ()
void | entangle_preferences_cms_set_monitor_profile ()
gboolean | entangle_preferences_cms_get_detect_system_profile ()
void | entangle_preferences_cms_set_detect_system_profile ()
EntangleColourProfileIntent | entangle_preferences_cms_get_rendering_intent ()
void | entangle_preferences_cms_set_rendering_intent ()
gchar * | entangle_preferences_img_get_aspect_ratio ()
void | entangle_preferences_img_set_aspect_ratio ()
gint | entangle_preferences_img_get_mask_opacity ()
void | entangle_preferences_img_set_mask_opacity ()
gboolean | entangle_preferences_img_get_mask_enabled ()
void | entangle_preferences_img_set_mask_enabled ()
gboolean | entangle_preferences_img_get_focus_point ()
void | entangle_preferences_img_set_focus_point ()
gint | entangle_preferences_img_get_grid_lines ()
void | entangle_preferences_img_set_grid_lines ()
gboolean | entangle_preferences_img_get_embedded_preview ()
void | entangle_preferences_img_set_embedded_preview ()
gboolean | entangle_preferences_img_get_onion_skin ()
void | entangle_preferences_img_set_onion_skin ()
gint | entangle_preferences_img_get_onion_layers ()
void | entangle_preferences_img_set_onion_layers ()
gchar * | entangle_preferences_img_get_background ()
void | entangle_preferences_img_set_background ()
gchar * | entangle_preferences_img_get_highlight ()
void | entangle_preferences_img_set_highlight ()

## Properties

gboolean | capture-continuous-preview | Read / Write
gboolean | capture-delete-file | Read / Write
gboolean | capture-electronic-shutter | Read / Write
gchar * | capture-filename-pattern | Read / Write
gchar * | capture-last-session | Read / Write
gboolean | capture-sync-clock | Read / Write
gboolean | cms-detect-system-profile | Read / Write
gboolean | cms-enabled | Read / Write
EntangleColourProfile * | cms-monitor-profile | Read / Write
EntangleColourProfileIntent | cms-rendering-intent | Read / Write
EntangleColourProfile * | cms-rgb-profile | Read / Write
gchar * | img-aspect-ratio | Read / Write
gchar * | img-background | Read / Write
gboolean | img-embedded-preview | Read / Write
gboolean | img-focus-point | Read / Write
gint | img-grid-lines | Read / Write
gchar * | img-highlight | Read / Write
gboolean | img-mask-enabled | Read / Write
gint | img-mask-opacity | Read / Write
gint | img-onion-layers | Read / Write
gboolean | img-onion-skin | Read / Write
gboolean | interface-auto-connect | Read / Write
gboolean | interface-histogram-linear | Read / Write
gboolean | interface-screen-blank | Read / Write

## Object Hierarchy

        GObject
        ╰── EntanglePreferences

## Description

## Functions

### entangle_preferences_new ()

    EntanglePreferences *
    entangle_preferences_new (void);

### entangle_preferences_interface_get_auto_connect ()

    gboolean
    entangle_preferences_interface_get_auto_connect
                                   (EntanglePreferences *prefs);

Determine whether the application will attempt to automatically connect to cameras at startup

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

TRUE if cameras will be automatically connected, FALSE otherwise

### entangle_preferences_interface_set_auto_connect ()

    void
    entangle_preferences_interface_set_auto_connect
                                   (EntanglePreferences *prefs,
                                    gboolean autoconn);

### entangle_preferences_interface_get_screen_blank ()

    gboolean
    entangle_preferences_interface_get_screen_blank
                                   (EntanglePreferences *prefs);

Determine if the screen wil be blanked prior to capturing the image

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

TRUE if the screen will blank at time of capture

### entangle_preferences_interface_set_screen_blank ()

    void
    entangle_preferences_interface_set_screen_blank
                                   (EntanglePreferences *prefs,
                                    gboolean blank);

If `blank` is set to TRUE, the screen will be blanked during capture to avoid light from the screen influencing the scene being shot.

#### Parameters

prefs | the preferences store. | [transfer none]
blank | TRUE to make the screen blank during capture |

### entangle_preferences_interface_get_plugins ()

    gchar **
    entangle_preferences_interface_get_plugins
                                   (EntanglePreferences *prefs);

Get the names of the plugins that are enabled for the application

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

the list of plugin names, NULL terminated.

[transfer full][array zero-terminated=1]

### entangle_preferences_interface_add_plugin ()

    void
    entangle_preferences_interface_add_plugin
                                   (EntanglePreferences *prefs,
                                    const char *name);

Add the plugin called `name` to the active list

#### Parameters

prefs | the preferences store. | [transfer none]
name | the plugin to add. | [transfer none]

### entangle_preferences_interface_remove_plugin ()

    void
    entangle_preferences_interface_remove_plugin
                                   (EntanglePreferences *prefs,
                                    const char *name);

Remove the plugin called `name` from the active list

#### Parameters

prefs | the preferences store. | [transfer none]
name | the plugin to remove. | [transfer none]

### entangle_preferences_interface_get_histogram_linear ()

    gboolean
    entangle_preferences_interface_get_histogram_linear
                                   (EntanglePreferences *prefs);

Determine if the histogram will be displayed in linear or logarithmic mode

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

TRUE if the histogram is linear, FALSE for logarithmic

### entangle_preferences_interface_set_histogram_linear ()

    void
    entangle_preferences_interface_set_histogram_linear
                                   (EntanglePreferences *prefs,
                                    gboolean enabled);

If `enabled` is TRUE then the histogram will be displayed in linear mode, otherwise logarithmic mode will be used

#### Parameters

prefs | the preferences store. | [transfer none]
enabled | TRUE to set the histogram to linear mode |

### entangle_preferences_capture_get_last_session ()

    char *
    entangle_preferences_capture_get_last_session
                                   (EntanglePreferences *prefs);

Get the most recently used directory for the image session

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

the session directory.

[transfer full]

### entangle_preferences_capture_set_last_session ()

    void
    entangle_preferences_capture_set_last_session
                                   (EntanglePreferences *prefs,
                                    const gchar *dir);

Record `dir` as being the most recently used session directory

#### Parameters

prefs | the preferences store. | [transfer none]
dir | the new session. | [transfer none]

### entangle_preferences_capture_get_filename_pattern ()

    char *
    entangle_preferences_capture_get_filename_pattern
                                   (EntanglePreferences *prefs);

Get the filename pattern to use for naming images that are saved after download. In the pattern any repeated sequence of 'X' characters will be replaced with the image sequence number

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

the filename pattern.

[transfer full]

### entangle_preferences_capture_set_filename_pattern ()

    void
    entangle_preferences_capture_set_filename_pattern
                                   (EntanglePreferences *prefs,
                                    const gchar *pattern);

Set the pattern to use for naming images that are saved after download.

#### Parameters

prefs | the preferences store. | [transfer none]
pattern | the filename pattern. | [transfer none]

### entangle_preferences_capture_get_continuous_preview ()

    gboolean
    entangle_preferences_capture_get_continuous_preview
                                   (EntanglePreferences *prefs);

Determine if the preview mode will continue to operate after each image is captured.

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

TRUE if preview mode will continue after capture, FALSE otherwise

### entangle_preferences_capture_set_continuous_preview ()

    void
    entangle_preferences_capture_set_continuous_preview
                                   (EntanglePreferences *prefs,
                                    gboolean enabled);

If `enabled` is set to TRUE, then the preview mode will continue to run after each image is captured

#### Parameters

prefs | the preferences store. | [transfer none]
enabled | TRUE to make preview mode continue after capture |

### entangle_preferences_capture_get_electronic_shutter ()

    gboolean
    entangle_preferences_capture_get_electronic_shutter
                                   (EntanglePreferences *prefs);

Determines if the capture event will use the next preview output as capture image, instead of triggering a normal capture, with shutter mechanically moving.

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

TRUE if no mechanical shutter action occurs on a capture, FALSE otherwise

### entangle_preferences_capture_set_electronic_shutter ()

    void
    entangle_preferences_capture_set_electronic_shutter
                                   (EntanglePreferences *prefs,
                                    gboolean enabled);

If `enabled` is TRUE, then the camera shutter will not be activated when capturing an image.

#### Parameters

prefs | the preferences store. | [transfer none]
enabled | TRUE if no mechanical shutter action should occur on capture |

### entangle_preferences_capture_get_delete_file ()

    gboolean
    entangle_preferences_capture_get_delete_file
                                   (EntanglePreferences *prefs);

Determine if the file will be deleted from the camera after it has been downloaded.

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

TRUE if the files will be deleted after download

### entangle_preferences_capture_set_delete_file ()

    void
    entangle_preferences_capture_set_delete_file
                                   (EntanglePreferences *prefs,
                                    gboolean enabled);

If `enabled` is set to TRUE, then files will be deleted from the camera after they are downloaded.

#### Parameters

prefs | the preferences store. | [transfer none]
enabled | TRUE if files should be deleted from camera after capture |

### entangle_preferences_capture_get_sync_clock ()

    gboolean
    entangle_preferences_capture_get_sync_clock
                                   (EntanglePreferences *prefs);

Determines if the camera clock will be automatically synchronized to the host computer clock when first connecting

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

TRUE if the clock will synchronized, FALSE otherwise

### entangle_preferences_capture_set_sync_clock ()

    void
    entangle_preferences_capture_set_sync_clock
                                   (EntanglePreferences *prefs,
                                    gboolean enabled);

If `enabled` is TRUE, then the camera clock will be synchronized to the host computer clock when first connecting

#### Parameters

prefs | the preferences store. | [transfer none]
enabled | TRUE if the clock should be synchronized |

### entangle_preferences_cms_get_enabled ()

    gboolean
    entangle_preferences_cms_get_enabled (EntanglePreferences *prefs);

Determine if images should be displayed with colour management applied

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

TRUE if colour management is active

### entangle_preferences_cms_set_enabled ()

    void
    entangle_preferences_cms_set_enabled (EntanglePreferences *prefs,
                                          gboolean enabled);

If `enabled` is TRUE, colour management will be applied when displaying images

#### Parameters

prefs | the preferences store. | [transfer none]
enabled | TRUE to enable colour management |

### entangle_preferences_cms_get_rgb_profile ()

    EntangleColourProfile *
    entangle_preferences_cms_get_rgb_profile
                                   (EntanglePreferences *prefs);

Get the colour profile that represents the RGB working space

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

the colour space.

[transfer full]

### entangle_preferences_cms_set_rgb_profile ()

    void
    entangle_preferences_cms_set_rgb_profile
                                   (EntanglePreferences *prefs,
                                    EntangleColourProfile *prof);

Set the colour profile that represents the RGB working space

#### Parameters

prefs | the preferences store. | [transfer none]
prof | the new rgb profile. | [transfer none][allow-none]

### entangle_preferences_cms_get_monitor_profile ()

    EntangleColourProfile *
    entangle_preferences_cms_get_monitor_profile
                                   (EntanglePreferences *prefs);

Get the profile associated with the display, if any.

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

the colour profile.

[transfer full]

### entangle_preferences_cms_set_monitor_profile ()

    void
    entangle_preferences_cms_set_monitor_profile
                                   (EntanglePreferences *prefs,
                                    EntangleColourProfile *prof);

If `prof` is not NULL, it will be used as the current monitor profile. This is only honoured if automatic detection of the monitor profile is disabled.

#### Parameters

prefs | the preferences store. | [transfer none]
prof | the new monitor profile. | [transfer none][allow-none]

### entangle_preferences_cms_get_detect_system_profile ()

    gboolean
    entangle_preferences_cms_get_detect_system_profile
                                   (EntanglePreferences *prefs);

Determine if the monitor profile will be automatically detected, which is usually preferrable since it copes with multiple monitor scenarios

#### Parameters

prefs | the preferences store. | [transfer none]

### entangle_preferences_cms_set_detect_system_profile ()

    void
    entangle_preferences_cms_set_detect_system_profile
                                   (EntanglePreferences *prefs,
                                    gboolean enabled);

If `enabled` is TRUE then the monitor profile will be automatically detected

#### Parameters

prefs | the preferences store. | [transfer none]
enabled | TRUE to automatically detect the monitor profile |

### entangle_preferences_cms_get_rendering_intent ()

    EntangleColourProfileIntent
    entangle_preferences_cms_get_rendering_intent
                                   (EntanglePreferences *prefs);

Determine the rendering intent for displaying images

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

the image rendering intent

### entangle_preferences_cms_set_rendering_intent ()

    void
    entangle_preferences_cms_set_rendering_intent
                                   (EntanglePreferences *prefs,
                                    EntangleColourProfileIntent intent);

Set the rendering intent for displaying images

#### Parameters

prefs | the preferences store. | [transfer none]
intent | the new rendering intent |

### entangle_preferences_img_get_aspect_ratio ()

    gchar *
    entangle_preferences_img_get_aspect_ratio
                                   (EntanglePreferences *prefs);

Get the aspect ratio for any mask to apply to the image

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

the aspect ratio for the mask.

[transfer full]

### entangle_preferences_img_set_aspect_ratio ()

    void
    entangle_preferences_img_set_aspect_ratio
                                   (EntanglePreferences *prefs,
                                    const gchar *aspect);

Set the aspect ratio for any mask to apply to the image

#### Parameters

prefs | the preferences store. | [transfer none]
aspect | the new aspect ratio |

### entangle_preferences_img_get_mask_opacity ()

    gint
    entangle_preferences_img_get_mask_opacity
                                   (EntanglePreferences *prefs);

Get the opacity of any mask to apply to the image

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

the opacity between 0 and 100

### entangle_preferences_img_set_mask_opacity ()

    void
    entangle_preferences_img_set_mask_opacity
                                   (EntanglePreferences *prefs,
                                    gint opacity);

Set the opacity to use when rendering the image mask

#### Parameters

prefs | the preferences store. | [transfer none]
opacity | the opacity of the mask between 0 and 100 |

### entangle_preferences_img_get_mask_enabled ()

    gboolean
    entangle_preferences_img_get_mask_enabled
                                   (EntanglePreferences *prefs);

Determine if an aspect ratio mask to be applied to the image display

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

TRUE if an aspect ratio mask should be applied

### entangle_preferences_img_set_mask_enabled ()

    void
    entangle_preferences_img_set_mask_enabled
                                   (EntanglePreferences *prefs,
                                    gboolean enabled);

If `enabled` is TRUE an aspect ratio mask will be applied to the image display

#### Parameters

prefs | the preferences store. | [transfer none]
enabled | TRUE to apply an aspect ratio mask |

### entangle_preferences_img_get_focus_point ()

    gboolean
    entangle_preferences_img_get_focus_point
                                   (EntanglePreferences *prefs);

Determine if the center focus point should be displayed in preview mode

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

TRUE if a focus point is to be rendered

### entangle_preferences_img_set_focus_point ()

    void
    entangle_preferences_img_set_focus_point
                                   (EntanglePreferences *prefs,
                                    gboolean enabled);

If `enabled` is TRUE then a focus point will be display in preview mode.

#### Parameters

prefs | the preferences store. | [transfer none]
enabled | TRUE to render a focus point |

### entangle_preferences_img_get_grid_lines ()

    gint
    entangle_preferences_img_get_grid_lines
                                   (EntanglePreferences *prefs);

Determine what grid lines to display in preview mode

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

the grid lines to display

### entangle_preferences_img_set_grid_lines ()

    void
    entangle_preferences_img_set_grid_lines
                                   (EntanglePreferences *prefs,
                                    gint gridLines);

Set the grid lines to display when in image preview mode

#### Parameters

prefs | the preferences store. | [transfer none]
gridLines | the grid lines to display |

### entangle_preferences_img_get_embedded_preview ()

    gboolean
    entangle_preferences_img_get_embedded_preview
                                   (EntanglePreferences *prefs);

Determine whether to use the embedded preview from files for thumbnails.

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

TRUE if embedded preview should be used

### entangle_preferences_img_set_embedded_preview ()

    void
    entangle_preferences_img_set_embedded_preview
                                   (EntanglePreferences *prefs,
                                    gboolean enabled);

If `enabled` is TRUE, any embedded preview will be used when generating thumbnails rather than loading the full resolution image

#### Parameters

prefs | the preferences store. | [transfer none]
enabled | TRUE to use the embedded preview |

### entangle_preferences_img_get_onion_skin ()

    gboolean
    entangle_preferences_img_get_onion_skin
                                   (EntanglePreferences *prefs);

Determine if onion skinning should be used when displaying images

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

TRUE if onion skinning is enabled

### entangle_preferences_img_set_onion_skin ()

    void
    entangle_preferences_img_set_onion_skin
                                   (EntanglePreferences *prefs,
                                    gboolean enabled);

If `enabled` is TRUE then onion skinning will be enabled when displaying images

#### Parameters

prefs | the preferences store. | [transfer none]
enabled | TRUE to enable onion skinning |

### entangle_preferences_img_get_onion_layers ()

    gint
    entangle_preferences_img_get_onion_layers
                                   (EntanglePreferences *prefs);

Determine how many images to overlay in onion skinning mode

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

the number of image overlays

### entangle_preferences_img_set_onion_layers ()

    void
    entangle_preferences_img_set_onion_layers
                                   (EntanglePreferences *prefs,
                                    gint layers);

Set the number of images to overlay when in onion skinning mode

#### Parameters

prefs | the preferences store. | [transfer none]
layers | the number of image overlays |

### entangle_preferences_img_get_background ()

    gchar *
    entangle_preferences_img_get_background
                                   (EntanglePreferences *prefs);

Get the colour used as the background when displaying images

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

the background colour.

[transfer full]

### entangle_preferences_img_set_background ()

    void
    entangle_preferences_img_set_background
                                   (EntanglePreferences *prefs,
                                    const gchar *bkg);

Set the colour used as the background when displaying images

#### Parameters

prefs | the preferences store. | [transfer none]
bkg | the background colour. | [transfer none]

### entangle_preferences_img_get_highlight ()

    gchar *
    entangle_preferences_img_get_highlight
                                   (EntanglePreferences *prefs);

Get the colour to use when highlighting images

#### Parameters

prefs | the preferences store. | [transfer none]

#### Returns

the highlight colour.

[transfer full]

### entangle_preferences_img_set_highlight ()

    void
    entangle_preferences_img_set_highlight
                                   (EntanglePreferences *prefs,
                                    const gchar *bkg);

Set the colour to use when highlighting images

#### Parameters

prefs | the preferences store. | [transfer none]
bkg | the highlight colour. | [transfer none]

## Types and Values

## Property Details

### The `“capture-continuous-preview”` property

      “capture-continuous-preview” gboolean

Continue preview after capturing.

Flags: Read / Write

Default value: FALSE

### The `“capture-delete-file”` property

      “capture-delete-file”      gboolean

Delete file after capturing.

Flags: Read / Write

Default value: TRUE

### The `“capture-electronic-shutter”` property

      “capture-electronic-shutter” gboolean

Use preview output as capture image.

Flags: Read / Write

Default value: FALSE

### The `“capture-filename-pattern”` property

      “capture-filename-pattern” gchar *

Pattern for creating new filenames.

Flags: Read / Write

Default value: NULL

### The `“capture-last-session”` property

      “capture-last-session”     gchar *

Directory to store pictures in.

Flags: Read / Write

Default value: NULL

### The `“capture-sync-clock”` property

      “capture-sync-clock”       gboolean

Synchronize clock automatically.

Flags: Read / Write

Default value: FALSE

### The `“cms-detect-system-profile”` property

      “cms-detect-system-profile” gboolean

Detect the monitor colour profile.

Flags: Read / Write

Default value: TRUE

### The `“cms-enabled”` property

      “cms-enabled”              gboolean

Whether to enable colour management on display.

Flags: Read / Write

Default value: FALSE

### The `“cms-monitor-profile”` property

      “cms-monitor-profile”      EntangleColourProfile *

Colour profile for monitor.

Flags: Read / Write

### The `“cms-rendering-intent”` property

      “cms-rendering-intent”     EntangleColourProfileIntent

Rendering intent for images.

Flags: Read / Write

Default value: ENTANGLE_COLOUR_PROFILE_INTENT_PERCEPTUAL

### The `“cms-rgb-profile”` property

      “cms-rgb-profile”          EntangleColourProfile *

Colour profile for workspace.

Flags: Read / Write

### The `“img-aspect-ratio”` property

      “img-aspect-ratio”         gchar *

Image mask aspect ratio.

Flags: Read / Write

Default value: "1.33"

### The `“img-background”` property

      “img-background”           gchar *

Image background color.

Flags: Read / Write

Default value: "#000000"

### The `“img-embedded-preview”` property

      “img-embedded-preview”     gboolean

Embedded preview for raw files.

Flags: Read / Write

Default value: FALSE

### The `“img-focus-point”` property

      “img-focus-point”          gboolean

Focus point during preview.

Flags: Read / Write

Default value: FALSE

### The `“img-grid-lines”` property

      “img-grid-lines”           gint

Grid lines during preview.

Flags: Read / Write

Allowed values: [0,4]

Default value: 4

### The `“img-highlight”` property

      “img-highlight”            gchar *

Image highlight color.

Flags: Read / Write

Default value: "#FFFFFF"

### The `“img-mask-enabled”` property

      “img-mask-enabled”         gboolean

Enable aspect ratio image mask.

Flags: Read / Write

Default value: FALSE

### The `“img-mask-opacity”` property

      “img-mask-opacity”         gint

Image mask border opacity.

Flags: Read / Write

Allowed values: [0,100]

Default value: 90

### The `“img-onion-layers”` property

      “img-onion-layers”         gint

Overlay layers in image display.

Flags: Read / Write

Allowed values: [1,5]

Default value: 3

### The `“img-onion-skin”` property

      “img-onion-skin”           gboolean

Enable image overlay display.

Flags: Read / Write

Default value: FALSE

### The `“interface-auto-connect”` property

      “interface-auto-connect”   gboolean

Automatically connect to cameras at startup.

Flags: Read / Write

Default value: TRUE

### The `“interface-histogram-linear”` property

      “interface-histogram-linear” gboolean

Use linear histogram.

Flags: Read / Write

Default value: FALSE

### The `“interface-screen-blank”` property

      “interface-screen-blank”   gboolean

Blank screen while capturing images.

Flags: Read / Write

Default value: FALSE